Bug 655870 - AttributeError: RsyncBackend instance has no attribute 'subprocess_popen_persist'
Summary: AttributeError: RsyncBackend instance has no attribute 'subprocess_popen_pers...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 15:17 UTC by Thomas Moschny
Modified: 2011-03-01 00:02 UTC (History)
1 user (show)

Fixed In Version: duplicity-0.6.11-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-25 00:28:32 UTC


Attachments (Terms of Use)

Description Thomas Moschny 2010-11-22 15:17:50 UTC
Crash when using the rsyncd backend:

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1245, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1238, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1139, in main
    sync_archive()
  File "/usr/bin/duplicity", line 916, in sync_archive
    remlist = globals.backend.list()
  File "/usr/lib64/python2.6/site-packages/duplicity/backends/rsyncbackend.py", line 130, in list
    result, stdout = self.run_command(commandline)
  File "/usr/lib64/python2.6/site-packages/duplicity/backends/rsyncbackend.py", line 101, in run_command
    result, stdout, stderr = self.subprocess_popen_persist(commandline)
AttributeError: RsyncBackend instance has no attribute 'subprocess_popen_persist'

See https://bugs.launchpad.net/duplicity/+bug/674506 .
Same problem in rawhide.

Comment 1 Thomas Moschny 2010-12-03 17:26:55 UTC
Fixed in 0.6.11, according to the changelog at http://duplicity.nongnu.org/CHANGELOG .

Could you please submit an update?

Comment 2 Fedora Update System 2010-12-08 23:24:06 UTC
duplicity-0.6.11-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/duplicity-0.6.11-1.fc14

Comment 3 Fedora Update System 2010-12-08 23:26:48 UTC
duplicity-0.6.11-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/duplicity-0.6.11-1.fc13

Comment 4 Fedora Update System 2010-12-08 23:26:55 UTC
duplicity-0.6.11-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/duplicity-0.6.11-1.el5

Comment 5 Fedora Update System 2010-12-08 23:26:58 UTC
duplicity-0.6.11-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/duplicity-0.6.11-1.el4

Comment 6 Fedora Update System 2010-12-09 17:04:05 UTC
duplicity-0.6.11-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update duplicity'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/duplicity-0.6.11-1.el4

Comment 7 Fedora Update System 2010-12-25 00:28:12 UTC
duplicity-0.6.11-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-12-25 00:29:41 UTC
duplicity-0.6.11-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-01 00:00:46 UTC
duplicity-0.6.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-03-01 00:02:26 UTC
duplicity-0.6.11-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.